[i830] font drawing corruption regression

Bug #293059 reported by qazxswedc
102
This bug affects 13 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Invalid
Undecided
Unassigned
Nominated for Jaunty by David Monro

Bug Description

Binary package hint: xserver-xorg-video-intel

After upgrading to 8.10, font drawing is corrupted. Either some chars are not drawn, are drawn in wrong color or filled square is drawn instead of a char. I've found that adding Option "AccelMethod" "XAA" fixes the problem.

Laptop: dell c400

Section "Device"
        Identifier "Intel Corporation 82830 CGC [Chipset Graphics Controller]"
        Driver "intel"
        BusID "PCI:0:2:0"
        Option "AccelMethod" "XAA"
EndSection

$ lsb_release -rd
Description: Ubuntu 8.10
Release: 8.10

$ apt-cache policy xserver-xorg-video-intel
xserver-xorg-video-intel:
  Zainstalowana: 2:2.4.1-1ubuntu10
  Kandydująca: 2:2.4.1-1ubuntu10
  Tabela wersji:
 *** 2:2.4.1-1ubuntu10 0
        500 http://pl.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

Revision history for this message
Geir Ove Myhr (gomyhr) wrote :

Thank you for reporting this bug. Could you please also include the following?
- /var/log/Xorg.0.log
- output of the command `lspci -vvnn`
- a screenshot that shows problem

Bryce Harrington (bryce)
Changed in xserver-xorg-video-intel:
status: New → Incomplete
Revision history for this message
Psyluche (psyluche) wrote : Re: [i830] font drawing corruption regression ubuntu intrepid

I have the same problem after upgrading to 8.10.

luche@laplucy:~$ lsb_release -rd
Description: Ubuntu 8.10
Release: 8.10

luche@laplucy:~$ apt-cache policy xserver-xorg-video-intel
xserver-xorg-video-intel:
  Installé : 2:2.4.1-1ubuntu10
  Candidat : 2:2.4.1-1ubuntu10
 Table de version :
 *** 2:2.4.1-1ubuntu10 0
        500 http://gulus.usherbrooke.ca intrepid/main Packages
        100 /var/lib/dpkg/status

My output for the command `lspci -vvnn` can be found here:
http://pastebin.com/m3df2e688

My Xorg.0.log can be found here:
http://pastebin.com/m2fd6ee52

I've also attached an image showing the glitches.

Hope this can help.

Regards,
Luc

Revision history for this message
Jukka Alasalmi (jualasal) wrote :

The glitches look exactly like what I've seen on my computer. I think that it is caused by some sort of pixmap cache corruption, because it will affect all occurrences of the corrupted letters. Also, I've seen repeating corrupt patterns in other places as well, such as window decorations. Both of these effects are shown in the attachment.

Apparently the intel driver man page has out-dated information about the default acceleration method, as it says that XAA is the default, even though it seems to be EXA. I guess that's why my experiments with XaaNoPixmapCache etc. didn't give any results. I'm now using XAA, and at least so far seems that the problem doesn't show up.

Revision history for this message
Andrea (schweerelos) wrote :

I was having the same problem on my Thinkpad X30, see attached screenshot. It's obvious that it's not just the fonts that are affected (see eg the progress bars in the system monitor in the top panel).

Setting the Option "AccelMethod" "XAA" as suggested in the initial bug report seems to have solved the issue.

This is on xubuntu, updated from hardy which was updated from gutsy.

from lspci:

00:02.1 Display controller [0380]: Intel Corporation 82830 CGC [Chipset Graphics Controller] [8086:3577]
 Subsystem: IBM Device [1014:0513]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0 (2750ns max)
 Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
 Region 1: Memory at d0080000 (32-bit, non-prefetchable) [size=512K]
 Capabilities: [d0] Power Management version 1
  Flags: PMEClk- DSI+ D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-

I don't have an Xorg.0.log from when the problem occurred.

Revision history for this message
tino (tino-kissig) wrote :

I have the same problem on my old Asus S1300 with i830 graphic chip as well.

$ lsb_release -rd
Description: Ubuntu 8.10
Release: 8.10
$ apt-cache policy xserver-xorg-video-intel
xserver-xorg-video-intel:
  Installiert: 2:2.4.1-1ubuntu10
  Kandidat: 2:2.4.1-1ubuntu10
  Versions-Tabelle:
 *** 2:2.4.1-1ubuntu10 0
        500 http://de.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

Xorg.0.log: http://pastebin.com/mc839b9
`lspci -vvnn`: http://pastebin.com/m40867809

Revision history for this message
L300 (l300) wrote :

After upgrade from Hardy 8.04 to Intrepid, I encountered the same problem. My system is IBM Thinkpad R31. Feisty, Gutsy, Hardy - all of them had not such a problem. I attach my lspci, Xorg.0.log and a screenshot.
I tried install kubuntu, xubuntu - all shows the same error after couple of minutes (kubuntu took the longest).

I tried to add abovementioned "Option "AccelMethod" "XAA"" into my xorg.conf to no avail. X did not start at all, unless I removed that line completely.

The behavior of this bug is that it starts as nearly non visible problems, sometimes font is not displayed in gnome menu, then it starts to get worst (some characters are corrupted) to the worst level where most of the characters become squarish unreadable dizzy bugs.

My temporary solution is to change screen resolution from 1024x768 to 800x600 and back. That clears the fonts again for a while.

Any hints?

Revision history for this message
L300 (l300) wrote :

confirmed to have the same bug

Changed in xserver-xorg-video-intel:
status: Incomplete → Confirmed
Revision history for this message
L300 (l300) wrote :
Revision history for this message
L300 (l300) wrote :
Revision history for this message
L300 (l300) wrote :
Revision history for this message
L300 (l300) wrote :

Please, see attached screenshot (sorry for that previous without file extension). This one shows not only font corruption, but graphic as well. See top right of the launchpad page.

Revision history for this message
L300 (l300) wrote :
Revision history for this message
benji.ijneb (benji-ijneb) wrote :

I've had the same problem on my c400, and this seems to have really done the trick!

slightly off-topic, but have you also had problems with getting compiz running/suspending?

Revision history for this message
L300 (l300) wrote :

based on benji.ijneb's experience, I tried the trick once again and ... oops, it really worked this time and problem is gone. Humble apologies for reopening the bug, my mistake.

Revision history for this message
Nick Rhodes (ngrhodes) wrote :

Hi,

I also have a C400 and also suffered this problem.
"Option "AccelMethod" "XAA"" in my xorg config fixed it.

Cheers, Nick

Revision history for this message
Gianfranco Varone (umindaguma) wrote :

Hi all,
this issue on the brand new Ubuntu 9.04 too!!!!

Results changing Option AccelMethod on xorg.conf:
XAA -- fonts ok, but screen corruption scrolling with mouse or arrows
NoAccel -- it works, but slow performance

Cheers/GfV

Revision history for this message
Bryce Harrington (bryce) wrote :

Does the same problem occur when using UXA rather than XAA or EXA?

Revision history for this message
Gianfranco Varone (umindaguma) wrote :

Hi Bryce, hi all,
no solution:
UXA -- fonts and screen corruption, like EXA.

Bye/GfV

Revision history for this message
COD (chrisod) wrote :

I can confirm this on an older Toshiba Satellite Laptop. The XAA option fixed the font but introduced the scrolling bug mentioned above. I did notice that if you simply clicked around in the scroll bar you could jump around just fine. Dragging the scrollbar or clicking the scroll arrows did not work though.

The XUA option appears to have the laptop functioning normally.

Revision history for this message
COD (chrisod) wrote :

I was wrong. The XUA option does show the font corruption, it just takes longer to manifest itself. It also tends to mash some lines of text together in the browser, rendering the web page unreadable.

Revision history for this message
David Monro (davidm-ub) wrote :

I get this on Jaunty on an IBM X30. Makes the netbook remix pretty much unusable. noaccel or no DRI seem to be the only options which cure it.

Revision history for this message
dwchapin (daren-chapin) wrote :

I am also on a Dell C400 running Kubuntu Jaunty. I can confirm that starting with a blank xorg.conf I rapidly develop corrupted fonts in exactly the way it is described above.

I played with various combinations described above to fix this, but nothing worked. I have the same experience with "AccelMethod" "XAA" -- it freezes X completely on the C400 (an i830 chipset), even keys & mouse don't work. But from reading other intel video bugs and some experimentation I found a mix that works. Here's the display section of my current xorg.conf:

Section "Device"
 Identifier "Configured Video Device"
 Driver "intel"
 Option "AccelMethod" "exa"
 Option "MigrationHeuristic" "greedy"
 Option "ExaNoComposite" "false"
EndSection

I've been running with this for several days now, with no font corruption or other video problems. As long as you run kwin with all the compositing effects off, it's great. I get around 230 FPS with glxgears, so not exactly blazing but snappy enough for daily use.

for reference:
$ apt-cache policy xserver-xorg-video-intel
xserver-xorg-video-intel:
  Installed: 2:2.6.3-0ubuntu9

Bryce Harrington (bryce)
tags: added: corruption
Revision history for this message
ryuhayabusa (ppandpupu) wrote :

I am having this bug in jaunty (just used live cd).

I will try the above settings in borg.conf.

Revision history for this message
ryuhayabusa (ppandpupu) wrote :

xorg.conf above did not work with r31 thinkpad.

I'm using xorg from blue it now.

Revision history for this message
ryuhayabusa (ppandpupu) wrote :

actually i think it has fixed my problem :)

it's probably becoming clear that i don't know much.

i've attatched what i'm using.

let me know if i can help

Revision history for this message
ryuhayabusa (ppandpupu) wrote :

with the above xorg

you get screen blanking followed by unresponsive input devices,

(OFF-TOPIC and the mouse wheel simulator doesn't work. )

Revision history for this message
Bernie du Breuil (bmrcldb56) wrote :

The above xorg.conf addition, that is:

 Section "Device"
  Identifier "Configured Video Device"
  Driver "intel"
  Option "AccelMethod" "exa"
  Option "MigrationHeuristic" "greedy"
  Option "ExaNoComposite" "false"
 EndSection

worked great on my Dell Latitude C400. I removed the other section with the same identifier.

I am using the Gnome Desktop with the Jaunty release.

Also, I have the same version of the package as dwchapin:

$ apt-cache policy xserver-xorg-video-intel
xserver-xorg-video-intel:
  Installed: 2:2.6.3-0ubuntu9
  Candidate: 2:2.6.3-0ubuntu9
  Version table:
 *** 2:2.6.3-0ubuntu9 0
        500 http://us.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

Revision history for this message
mob (mcartman) wrote :

i am having the same issues with an acer travelmate 220 same video chip intel82830 ...
smearing on screen boxes and colors .... fresh live cd jaunty install .. brand new linux user "yea super noob here" help would be appreciated

Revision history for this message
Bryce Harrington (bryce) wrote :

[This is an automatic notification.]

A new major version of the -intel driver is now available in Karmic.

This version includes a major reworking of the acceleration
architecture, which resolves a huge number of issues. We do not know
whether it resolves the issue you reported.

Would you mind testing Karmic Alpha-2 and seeing if it is still a
problem? CD ISO images are available here:

  http://cdimages.ubuntu.com/releases/karmic/

If the issue can still be reproduced on karmic, please report here with
your findings, and attach a fresh Xorg.0.log from your test, and we will
be able to forward the bug upstream.

Otherwise, if the bug no longer exists in Karmic, let us know that as
well.

In the off chance you encounter different bugs while attempting to test
Karmic, please report those as new bug reports.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → New
status: New → Incomplete
Revision history for this message
Bernie du Breuil (bmrcldb56) wrote : Re: [Bug 293059] Re: [i830] font drawing corruption regression ubuntu intrepid

Hi Bryce,
I'll need to think about how to do this.  I think I'll need to make a CD-ROM and then boot off of it.

Thanks!
Bernie

Bernie du Breuil -- (603) 381-6337 Home, 646-4108 Work

Upper Valley Peace & Justice Group === United Valley Interfaith Project

Another World is Possible

--- On Thu, 6/25/09, Bryce Harrington <email address hidden> wrote:

From: Bryce Harrington <email address hidden>
Subject: [Bug 293059] Re: [i830] font drawing corruption regression ubuntu intrepid
To: <email address hidden>
Date: Thursday, June 25, 2009, 11:52 PM

[This is an automatic notification.]

A new major version of the -intel driver is now available in Karmic.

This version includes a major reworking of the acceleration
architecture, which resolves a huge number of issues.  We do not know
whether it resolves the issue you reported.

Would you mind testing Karmic Alpha-2 and seeing if it is still a
problem?  CD ISO images are available here:

  http://cdimages.ubuntu.com/releases/karmic/

If the issue can still be reproduced on karmic, please report here with
your findings, and attach a fresh Xorg.0.log from your test, and we will
be able to forward the bug upstream.

Otherwise, if the bug no longer exists in Karmic, let us know that as
well.

In the off chance you encounter different bugs while attempting to test
Karmic, please report those as new bug reports.

** Changed in: xserver-xorg-video-intel (Ubuntu)
       Status: Confirmed => New

** Changed in: xserver-xorg-video-intel (Ubuntu)
       Status: New => Incomplete

--
[i830] font drawing corruption regression ubuntu intrepid
https://bugs.launchpad.net/bugs/293059
You received this bug notification because you are a direct subscriber
of the bug.

Revision history for this message
luca (llucax) wrote : Re: [i830] font drawing corruption regression ubuntu intrepid

Is there any way to test this without upgrading to Karmic? Do I need to upgrade all Xorg to install the new version of -intel driver?

Revision history for this message
Bernie du Breuil (bmrcldb56) wrote : Re: [Bug 293059] Re: [i830] font drawing corruption regression ubuntu intrepid

I don't really know.  I was thinking of booting off of the CDROM without actually doing the upgrade.  Unfortunately, I haven't gotten to it yet.

Bernie

Bernie du Breuil -- (603) 381-6337 Home, 646-4108 Work

Upper Valley Peace & Justice Group === United Valley Interfaith Project

Another World is Possible

--- On Tue, 7/7/09, luca <email address hidden> wrote:

From: luca <email address hidden>
Subject: [Bug 293059] Re: [i830] font drawing corruption regression ubuntu intrepid
To: <email address hidden>
Date: Tuesday, July 7, 2009, 9:49 PM

Is there any way to test this without upgrading to Karmic? Do I need to
upgrade all Xorg to install the new version of -intel driver?

--
[i830] font drawing corruption regression ubuntu intrepid
https://bugs.launchpad.net/bugs/293059
You received this bug notification because you are a direct subscriber
of the bug.

Revision history for this message
Bryce Harrington (bryce) wrote : Re: [Bug 293059] Re: [i830] font drawing corruption regression ubuntu intrepid

On Wed, Jul 08, 2009 at 01:49:11AM -0000, luca wrote:
> Is there any way to test this without upgrading to Karmic? Do I need to
> upgrade all Xorg to install the new version of -intel driver?

Booting off the livecd will probably be enough for testing. It might be
tricky to get the Xorg.0.log and such, but you can do it.

Bryce Harrington (bryce)
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Revision history for this message
Matthias Klein (matthias-klein) wrote : Re: [i830] font drawing corruption regression ubuntu intrepid

I have the same problem on a HP Omnibook XE3.

The following xorg.conf addition works great for me:

 Section "Device"
  Identifier "Configured Video Device"
  Driver "intel"
  Option "AccelMethod" "exa"
  Option "MigrationHeuristic" "greedy"
  Option "ExaNoComposite" "false"
 EndSection

Revision history for this message
Bryce Harrington (bryce) wrote :

We're closing this bug since it is has been some time with no testing against karmic. However, if the issue still exists please feel free to reopen with the requested information.

tags: added: intrepid
summary: - [i830] font drawing corruption regression ubuntu intrepid
+ [i830] font drawing corruption regression
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Invalid
Revision history for this message
Daniel Neville (blancmange) wrote :

I can't find any reference in my freshly installed Ubuntu 9.04 system for the acceleration method. Xorg.conf just refers to some "configured" devices.

The font corruption problem started for me when in one user account, I tried out the various settings in the Visual Effects tab of the Appearance preferences, and later I logged into and made use of my less-privileged everyday-doing-stuff account.

It seems as if there is an off-by-one (or even two) error in the y-loop of the function that would bit from the plain rasterised glyphs to the cache of coloured and treated glyphs that ultimately get composited to the display. I'm not saying that's the cause, but if you implemented a system like that, it would produce the effect I saw.

Changing the font rendering preferences made no difference to the corrupting behaviour. Restarting the computer didn't help.

I suspected the Visual Effects settings needed to me massaged, so I logged into each of the three user accounts I have and tired out all Visual Effects settings, before going back to "None" (It's not that the other modes were slow or faulty, I just detested most of the effects and I liked the strong window snapping available in "None".)

Since then the bug has entirely disappeared. [Crosses fingers]

Revision history for this message
levian (levian) wrote :

my asus s1300 is having this problem after installing ubuntu 9.04 too. is this considered 9.04's problem or our hardware problem? is there any way to fix this?

Revision history for this message
Daniel Neville (blancmange) wrote :

levian, you might want to try the Karmic Alpha 2 (or later) so see if it fixes the corruption bug. Unfortunately, I can't get Karmic Alpha 2 to even boot on my machine.

In any case, I strongly recommend full system backups. RIPLinux9,3 is great for backups and repairing Linux systems.

Revision history for this message
levian (levian) wrote :

Blancmange,

the upgrade take quite a while, i am currently downloading the .iso from http://cdimages.ubuntu.com/releases/karmic/ to further test this version. hopefully it works! no worries about backup, i can set up the required features again. just want to get the graphic problem fixed once n for all.

Revision history for this message
levian (levian) wrote :

Blancmange,

same like your, my 9.10 doesn't allow me to boot up as well. blank screen completely.

Revision history for this message
levian (levian) wrote :

i noticed the same font problem happened to which ever ubuntu based os that i am installing - ubuntu, kubuntu, fedora, mint, etc. could it be that my system is incompatible with ubuntu itself?

Revision history for this message
Bernie du Breuil (bmrcldb56) wrote : Re: [Bug 293059] Re: [i830] font drawing corruption regression

I think it does have something to do with the particular chipset on your system and a bug in the software.  If the problem is in X it would affect Gnome and KDE.  But if it's Ubuntu only then it has to do with something they did to X.  I gather you don't have the problem with other versions of Linux.

Bernie du Breuil -- (603) 381-6337 Home, 646-4108 Work

Upper Valley Peace & Justice Group === United Valley Interfaith Project

Another World is Possible

--- On Sun, 9/27/09, levian <email address hidden> wrote:

From: levian <email address hidden>
Subject: [Bug 293059] Re: [i830] font drawing corruption regression
To: <email address hidden>
Date: Sunday, September 27, 2009, 8:26 PM

i noticed the same font problem  happened to which ever ubuntu based os
that i am installing - ubuntu, kubuntu, fedora, mint, etc. could it be
that my system is incompatible with ubuntu itself?

--
[i830] font drawing corruption regression
https://bugs.launchpad.net/bugs/293059
You received this bug notification because you are a direct subscriber
of the bug.

Revision history for this message
Martin (martin22) wrote :
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers